/*
 * zGo2ProfileCenterX.h
 * 
 * Gocator system communication library
 * Copyright (C) 2013 by LMI Technologies Inc.
 * 
 * Licensed under The MIT License.
 * Redistributions of files must retain the above copyright notice.
 */

#ifndef LMITECH_GO2PROFILECENTERX_H_INCLUDED
#define LMITECH_GO2PROFILECENTERX_H_INCLUDED

#include <Go2Measurements/Go2ProfileCenterX.h>
#include <z/zGo2Measurement.h>
#include <z/zGo2Api.h>
#include <Go2ApiBegin.h>

/*
 * Go2ProfileCenterX Class 
 */

typedef struct Go2ProfileCenterXClass
{
    GO2_MEASUREMENT_FIELDS(); 
    Go2ProfileFeature features[2]; 
} Go2ProfileCenterXClass; 

GO2_EXPORT(Go2Status) Go2ProfileCenterX_Construct(Go2ProfileCenterX* measurement, Go2UInt32 id, Go2Object system); 
GO2_EXPORT(Go2Status) Go2ProfileCenterX_Init(Go2ProfileCenterX measurement, Go2UInt32 id, Go2Object system); 

GO2_EXPORT(Go2Status) Go2ProfileCenterX_VRelease(Go2ProfileCenterX measurement); 
GO2_EXPORT(Go2Status) Go2ProfileCenterX_VRead(Go2ProfileCenterX measurement, zXml xml, zXmlItem item); 
GO2_EXPORT(Go2Status) Go2ProfileCenterX_VWrite(Go2ProfileCenterX measurement, zXml xml, zXmlItem item); 



#include <Go2ApiEnd.h>
#endif
